Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class ContentHints

`java.lang.Object
oracle.security.crypto.smime.ess.ContentHints`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class ContentHints
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

A Content Hints.

Constructor Summary
`ContentHints(oracle.security.crypto.asn1.ASN1ObjectID contentType)` Create a `ContentHints` with the given content type.
`ContentHints(oracle.security.crypto.asn1.ASN1ObjectID contentType, java.lang.String contentDescription)` Create a `ContentHints` with the given content type and content description string.
`ContentHints(java.io.InputStream is)` Create a `ContentHints` by reading from the specified input stream.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`java.lang.String` | `getContentDescription()` Returns the content description.
`oracle.security.crypto.asn1.ASN1ObjectID` | `getContentType()` Returns the content type.
`int` | `hashCode()` Return the hash code for this object.
`void` | `input(java.io.InputStream is)`
`int` | `length()` Returns the length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Output this object's encoding to the specified output stream.
`void` | `setContentDescription(java.lang.String contentDescription)` Sets the content description.
`void` | `setContentType(oracle.security.crypto.asn1.ASN1ObjectID contentType)` Set the content type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHints

    public ContentHints(java.io.InputStream is)
                 throws java.io.IOException

  Create a `ContentHints` by reading from the specified input stream.
Parameters:
  `is` - The input stream.

### ContentHints

    public ContentHints(oracle.security.crypto.asn1.ASN1ObjectID contentType)

  Create a `ContentHints` with the given content type.
Parameters:
  `contentType` - The content type identifier.

### ContentHints

    public ContentHints(oracle.security.crypto.asn1.ASN1ObjectID contentType,
                        java.lang.String contentDescription)

  Create a `ContentHints` with the given content type and content description string.
Parameters:
  `contentType` - The content type identifier.
  `contentDescription` - The content description string.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

### getContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getContentType()

  Returns the content type.
  Returns:
    The content type identifier.

### setContentType

    public void setContentType(oracle.security.crypto.asn1.ASN1ObjectID contentType)

  Set the content type.
  Parameters:
    `contentType` - The content type identifier.

### getContentDescription

    public java.lang.String getContentDescription()

  Returns the content description.
  Returns:
    The content description.

### setContentDescription

    public void setContentDescription(java.lang.String contentDescription)

  Sets the content description.
  Parameters:
    `contentDescription` - The content description.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Output this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurred.

### length

    public int length()

  Returns the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.